# (tmb) temp linking fix
%define _disable_ld_as_needed 1
%define _disable_ld_no_undefined 1

Name:		dropbear
Version:	2013.59
Release:	%mkrel 2
Summary:	SSH2 server and client

Group:		Networking/Remote access
License:	MIT
URL:		http://matt.ucc.asn.au/dropbear/dropbear.html
Source0:	http://matt.ucc.asn.au/dropbear/releases/%{name}-%{version}.tar.bz2
Source1:	dropbear.service
Source2:	dropbear-keygen.service
Patch0:		dropbear-2012.55-mga-binpaths.patch

BuildRequires:	pkgconfig(zlib)
# (cg) I tried enabling pam but it seems somewhat broken and doesn't
# register with systemd-logind for now. Should be fixed.
# https://bugzilla.redhat.com/show_bug.cgi?id=770251
#BuildRequires:	libpam-devel
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

Requires:	initscripts
Requires(post):	chkconfig >= 0.9, initscripts
# This is only needed for sftp support
Suggests:	openssh-server

%description
Dropbear is a relatively small SSH 2 server and client.  Dropbear
is particularly useful for "embedded"-type Linux (or other Unix)
systems, such as wireless routers. SFTP support requires the
openssh-server package.

%prep
%setup -q

%patch0 -p1

%build
# Point to the OpenSSH SFTP subsystem binary since dropbear doesn't include
# sftp support itself. The location is architecture-dependent, so must be
# overridden at build time, not patch time.
%configure2_5x CPPFLAGS=-DSFTPSERVER_PATH=\\\"%{_libdir}/ssh/sftp-server\\\"
# --enable-pam
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d %{buildroot}%{_sysconfdir}/dropbear
install -d %{buildroot}%{_unitdir}
install -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/dropbear.service
install -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/dropbear-keygen.service

chmod a+r CHANGES INSTALL LICENSE MULTI README SMALL TODO

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc CHANGES INSTALL LICENSE MULTI README SMALL TODO
%dir %{_sysconfdir}/dropbear
%{_unitdir}/dropbear*
%{_bindir}/dropbearkey
%{_bindir}/dropbearconvert
%{_bindir}/dbclient
%{_sbindir}/dropbear
%{_mandir}/man1/dbclient.1*
%{_mandir}/man1/dropbearconvert.1*
%{_mandir}/man1/dropbearkey.1*
%{_mandir}/man8/dropbear.8*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2013.59-2.mga4
+ Revision: 539203
- Mageia 4 Mass Rebuild

  + danf <danf>
    - Dropped the obsolete SysV init script (mga#11458)
    - Stop converting CHANGES now that it's natively UTF-8

* Fri Oct 04 2013 danf <danf> 2013.59-1.mga4
+ Revision: 491610
- upgraded to 2013.59 bug fix release
- removed glibc217-crypt.patch (merged upstream)

* Thu Aug 22 2013 luigiwalser <luigiwalser> 2013.58-2.mga4
+ Revision: 469235
- add patch from mancha to fix null pointer deref with glibc 2.17

* Wed Jul 03 2013 danf <danf> 2013.58-1.mga4
+ Revision: 449862
- upgraded to 2013.58; many bug fixes, improved entropy gathering, new HMAC
  algorithms, decreased connection setup time, etc.
- using pkgconfig style BuildRequires

* Tue Jul 02 2013 danf <danf> 2012.55-5.mga4
+ Revision: 449629
- added binpaths.patch to fix sftp and X11 forwarding
- remove /bin from the default PATH, since it's unnecessary with usrmove
- removed %%clean section

* Fri Jan 11 2013 umeabot <umeabot> 2012.55-4.mga3
+ Revision: 349115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 28 2012 tmb <tmb> 2012.55-3.mga2
+ Revision: 233679
- Require rpm-helper >= 0.24.8-1 for systemd support
- rebuild for versioned rpm-helper requires

* Sun Apr 22 2012 colin <colin> 2012.55-1.mga2
+ Revision: 232534
- New version: 2012.55 (CVE-2012-0920)
- Add systemd support (PAM registration is broken)
- Adapt spec to Mageia

* Mon Apr 25 2011 stormi <stormi> 0.53.1-2.mga1
+ Revision: 90810
- fix RPM group

* Mon Apr 25 2011 tmb <tmb> 0.53.1-1.mga1
+ Revision: 90190
- imported package dropbear


* Sun Apr 24 2011 Thomas Backlund <tmb@mageia.org> 0.53.1-1.mga1
- update to 0.53.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Apr 19 2010 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.52-1
- New version 0.5.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.50-3
- Autorebuild for GCC 4.3

* Mon Jan 10 2008 Lennert Buytenhek <buytenh@wantstofly.org> - 0.50-2
- Incorporate changes from Fedora package review:
  - Use full URL for Source0.
  - Ship dropbear.init with mode 0644 in the SRPM.
  - Convert CHANGES to utf-8 in %%setup, as the version shipped with
    dropbear 0.50 isn't utf-8 clean (it's in iso-8859-1.)
  - Add a reload entry to the init script, and don't enable the
    service by default.

* Mon Jan  7 2008 Lennert Buytenhek <buytenh@wantstofly.org> - 0.50-1
- Update to 0.50.
- Add init script.

* Fri Aug  3 2007 Lennert Buytenhek <buytenh@wantstofly.org> - 0.49-1
- Initial packaging.
